| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::Location Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< QString, QDBusVariant >.

List of all members.

## Public Member Functions

- Location ()
- Location (const QMap< QString, QDBusVariant > &a)
- Location & operator= (const QMap< QString, QDBusVariant > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, QDBusVariant>, but needed to have a discrete type in the Qt type system.

A user's location, represented as an extensible mapping.

## Constructor & Destructor Documentation

Tp::Location::Location | ( |  | ) | `[inline]`

Tp::Location::Location | ( | const QMap< QString, QDBusVariant > & | a | ) | `[inline]`

## Member Function Documentation

Location& Tp::Location::operator= | ( | const QMap< QString, QDBusVariant > & | a | ) | `[inline]`